<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class AddPhoneNumbersAndExtensionToUsersTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('users', function(Blueprint $table)
		{
			$table->string('office_phone', 20)->after('alternate_email')->nullable();
			$table->string('office_extension', 5)->after('office_phone')->nullable();
			$table->string('cell_phone', 20)->after('office_extension')->nullable();
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('users', function(Blueprint $table)
		{
			$table->dropColumn(array('office_phone', 'office_extension', 'cell_phone'));
		});
	}

}
